/**
 * Form20 部件模型
 *
 * @export
 * @class Form20Model
 */
export default class Form20Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof Form20Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'ibz5sample0017id',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'ibz5sample0017name',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'orderuid',
        prop: 'orderuid',
        dataType: 'TEXT',
      },
      {
        name: 'ibz5sample0017name',
        prop: 'ibz5sample0017name',
        dataType: 'TEXT',
      },
      {
        name: 'ordertype',
        prop: 'ordertype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'ordertime',
        prop: 'ordertime',
        dataType: 'DATE',
      },
      {
        name: 'memo',
        prop: 'memo',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'ibz5sample0017id',
        prop: 'ibz5sample0017id',
        dataType: 'GUID',
      },
      {
        name: 'ibz5sample0017',
        prop: 'ibz5sample0017id',
        dataType: 'FONTKEY',
      },
    ]
  }

}